import * as i0 from "@angular/core";
type PageItem = number | 'ellipsis';
export declare class PaginationComponent {
    totalPages: import("@angular/core").InputSignal<number>;
    size: import("@angular/core").InputSignal<"md" | "sm">;
    currentPage: import("@angular/core").ModelSignal<number>;
    baseUrl: import("@angular/core").InputSignal<string>;
    prevClick: import("@angular/core").OutputEmitterRef<void>;
    nextClick: import("@angular/core").OutputEmitterRef<void>;
    pages: import("@angular/core").Signal<PageItem[]>;
    select(page: PageItem): void;
    prev(): void;
    next(): void;
    getPageUrl(page: number | PageItem): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<PaginationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PaginationComponent, "lib-pagination", never, { "totalPages": { "alias": "totalPages"; "required": false; "isSignal": true; }; "size": { "alias": "size"; "required": false; "isSignal": true; }; "currentPage": { "alias": "currentPage"; "required": false; "isSignal": true; }; "baseUrl": { "alias": "baseUrl"; "required": false; "isSignal": true; }; }, { "currentPage": "currentPageChange"; "prevClick": "prevClick"; "nextClick": "nextClick"; }, never, never, true, never>;
}
export {};
